Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.core
Class QSystemLocale.QueryType

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.core.QSystemLocale.QueryType

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing class:
  QSystemLocale

    public static final class QSystemLocale.QueryType

extends java.lang.Enum
implements QtEnumerator

Specifies the type of information queried by query(). For each value the type of information to return from the query() method is listed.

See Also:
  Serialized Form

Field Summary
`static QSystemLocale.QueryType` | `CountryId` a uint specifying the country.
`static QSystemLocale.QueryType` | `DateFormatLong` a QString specifying the long date format
`static QSystemLocale.QueryType` | `DateFormatShort` a QString specifying the short date format
`static QSystemLocale.QueryType` | `DateTimeFormatLong` a QString specifying the long date time format
`static QSystemLocale.QueryType` | `DateTimeFormatShort` a QString specifying the short date time format
`static QSystemLocale.QueryType` | `DateTimeToStringLong` converts the `QDateTime` in the in variant to a QString using the long datetime format
`static QSystemLocale.QueryType` | `DateTimeToStringShort` converts the `QDateTime` in the in variant to a QString using the short datetime format
`static QSystemLocale.QueryType` | `DateToStringLong` converts the `QDate` stored in the in variant to a QString using the long date format
`static QSystemLocale.QueryType` | `DateToStringShort` converts the `QDate` stored in the in variant to a QString using the short date format
`static QSystemLocale.QueryType` | `DayNameLong` a QString specifying the name of a weekday.
`static QSystemLocale.QueryType` | `DayNameShort` a QString specifying the short name of a weekday.
`static QSystemLocale.QueryType` | `DecimalPoint` a QString specifying the decimal point.
`static QSystemLocale.QueryType` | `GroupSeparator` a QString specifying the group separator.
`static QSystemLocale.QueryType` | `LanguageId` a uint specifying the language.
`static QSystemLocale.QueryType` | `MeasurementSystem` a `QLocale::MeasurementSystem` enum specifying the measurement system
`static QSystemLocale.QueryType` | `MonthNameLong` a QString specifying the name of a month.
`static QSystemLocale.QueryType` | `MonthNameShort` a QString specifying the short name of a month.
`static QSystemLocale.QueryType` | `NegativeSign` a QString specifying the minus sign.
`static QSystemLocale.QueryType` | `TimeFormatLong` a QString specifying the long time format
`static QSystemLocale.QueryType` | `TimeFormatShort` a QString specifying the short time format
`static QSystemLocale.QueryType` | `TimeToStringLong` converts the `QTime` stored in the in variant to a QString using the long time format
`static QSystemLocale.QueryType` | `TimeToStringShort` converts the `QTime` stored in the in variant to a QString using the short time format
`static QSystemLocale.QueryType` | `ZeroDigit` a QString specifying the zero digit.

Method Summary
`static QSystemLocale.QueryType` | `resolve(int value)` Returns the QSystemLocale$QueryType constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QSystemLocale.QueryType` | `valueOf(java.lang.String name)`
`static QSystemLocale.QueryType[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### LanguageId

    public static final QSystemLocale.QueryType LanguageId

  a uint specifying the language.

### CountryId

    public static final QSystemLocale.QueryType CountryId

  a uint specifying the country.

### DecimalPoint

    public static final QSystemLocale.QueryType DecimalPoint

  a QString specifying the decimal point.

### GroupSeparator

    public static final QSystemLocale.QueryType GroupSeparator

  a QString specifying the group separator.

### ZeroDigit

    public static final QSystemLocale.QueryType ZeroDigit

  a QString specifying the zero digit.

### NegativeSign

    public static final QSystemLocale.QueryType NegativeSign

  a QString specifying the minus sign.

### DateFormatLong

    public static final QSystemLocale.QueryType DateFormatLong

  a QString specifying the long date format

### DateFormatShort

    public static final QSystemLocale.QueryType DateFormatShort

  a QString specifying the short date format

### TimeFormatLong

    public static final QSystemLocale.QueryType TimeFormatLong

  a QString specifying the long time format

### TimeFormatShort

    public static final QSystemLocale.QueryType TimeFormatShort

  a QString specifying the short time format

### DayNameLong

    public static final QSystemLocale.QueryType DayNameLong

  a QString specifying the name of a weekday. the in variant contains an integer between 1 and 7 (Monday - Friday)

### DayNameShort

    public static final QSystemLocale.QueryType DayNameShort

  a QString specifying the short name of a weekday. the in variant contains an integer between 1 and 7 (Monday - Friday)

### MonthNameLong

    public static final QSystemLocale.QueryType MonthNameLong

  a QString specifying the name of a month. the in variant contains an integer between 1 and 12

### MonthNameShort

    public static final QSystemLocale.QueryType MonthNameShort

  a QString specifying the short name of a month. the in variant contains an integer between 1 and 12

### DateToStringLong

    public static final QSystemLocale.QueryType DateToStringLong

  converts the `QDate` stored in the in variant to a QString using the long date format

### DateToStringShort

    public static final QSystemLocale.QueryType DateToStringShort

  converts the `QDate` stored in the in variant to a QString using the short date format

### TimeToStringLong

    public static final QSystemLocale.QueryType TimeToStringLong

  converts the `QTime` stored in the in variant to a QString using the long time format

### TimeToStringShort

    public static final QSystemLocale.QueryType TimeToStringShort

  converts the `QTime` stored in the in variant to a QString using the short time format

### DateTimeFormatLong

    public static final QSystemLocale.QueryType DateTimeFormatLong

  a QString specifying the long date time format

### DateTimeFormatShort

    public static final QSystemLocale.QueryType DateTimeFormatShort

  a QString specifying the short date time format

### DateTimeToStringLong

    public static final QSystemLocale.QueryType DateTimeToStringLong

  converts the `QDateTime` in the in variant to a QString using the long datetime format

### DateTimeToStringShort

    public static final QSystemLocale.QueryType DateTimeToStringShort

  converts the `QDateTime` in the in variant to a QString using the short datetime format

### MeasurementSystem

    public static final QSystemLocale.QueryType MeasurementSystem

  a `QLocale::MeasurementSystem` enum specifying the measurement system

Method Detail

### values

    public static QSystemLocale.QueryType[] values()

### valueOf

    public static QSystemLocale.QueryType valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QSystemLocale.QueryType resolve(int value)

  Returns the QSystemLocale$QueryType constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD